Package name
bind
Date
2009-01-12
Advisory ID
MDVA-2009:010
Affected versions
2009.0 x86_64 , 2009.0 i586

Problem description

A build issue with the BIND9 packages in Mandriva Linux 2009.0
prevents IPv6 from working correctly. This is due to POSIX not
including the IPv6 Advanced Socket API, so glibc hides parts of this
API as a result. The end result is a breakage in how IPv6 works.
Compiling BIND9 with -D_GNU_SOURCE fixes this issue, and the updated
packages use this additional flag.

Updated packages

2009.0 x86_64

 41364a24428ea9a0c710a1428ebcb9ad  2009.0/x86_64/bind-9.5.0-6.2mdv2009.0.x86_64.rpm
 711218eeeb28ea3827af9a232e3fb007  2009.0/x86_64/bind-devel-9.5.0-6.2mdv2009.0.x86_64.rpm
 87bad3159a4a2cf20cdd6c951331ddce  2009.0/x86_64/bind-doc-9.5.0-6.2mdv2009.0.x86_64.rpm
 dd13115c36e5e70bba8d7b64da6b1147  2009.0/x86_64/bind-utils-9.5.0-6.2mdv2009.0.x86_64.rpm 
 d9e7b2dca11b81ed49693b4c49770a06  2009.0/SRPMS/bind-9.5.0-6.2mdv2009.0.src.rpm

2009.0 i586

 46b7635e2909b6ae73f8a2d8b5353308  2009.0/i586/bind-9.5.0-6.2mdv2009.0.i586.rpm
 968f6e3eb3fc60450fbae1c780d68037  2009.0/i586/bind-devel-9.5.0-6.2mdv2009.0.i586.rpm
 6fb04bc1f24c85271273f3bda7aa77ff  2009.0/i586/bind-doc-9.5.0-6.2mdv2009.0.i586.rpm
 ecdb84c1ce98a98a6f1c334d53d996ff  2009.0/i586/bind-utils-9.5.0-6.2mdv2009.0.i586.rpm 
 d9e7b2dca11b81ed49693b4c49770a06  2009.0/SRPMS/bind-9.5.0-6.2mdv2009.0.src.rpm

References